Name:		blueproximity
Version:	1.2.5
Release:	alt2_11
Summary:	Detects you via your bluetooth devices and locks/unlocks the screen
BuildArch:	noarch
Group:		Communications
License:	GPL+
URL:		http://blueproximity.sourceforge.net/
Source0:	http://downloads.sourceforge.net/blueproximity/%{name}-%{version}.tar.gz
Source1:	%{name}.desktop
Patch0:		blueproximity-fedorization.diff
Patch1:		blueproximity-fix-bash-script.diff
Patch2:		blueproximity-python-ConfigObj.patch
BuildRequires:	desktop-file-utils gettext
Source44: import.info
# Required due to Patch2

%description
Add security to your desktop by automatically locking and unlocking 
the screen when you and your phone leave/enter the desk. Think of a 
proximity detector for your mobile phone via bluetooth.

%prep
%setup -q -n %{name}-%{version}.orig
%patch0 -p0 -b .fedorization
%patch1 -p0 -b .fix-bash-script
%patch2 -p0 -b .ConfigObj

%build

%install

# Create Directory Structure
install -d %{buildroot}%{_datadir}/%{name}/
install -d %{buildroot}%{_bindir}
install -d %{buildroot}%{_datadir}/pixmaps/
install -d %{buildroot}%{_datadir}/%{name}/pixmaps/
install -d %{buildroot}%{_mandir}/man1/

# Install Files
install -p -m 0755 start_proximity.sh %{buildroot}%{_bindir}/%{name}
install -p -m 0755 proximity.py %{buildroot}%{_datadir}/%{name}/
install -p -m 0644 proximity.glade %{buildroot}%{_datadir}/%{name}/
install -p -m 0644 doc/blueproximity.1 %{buildroot}%{_mandir}/man1/

# Install Languages
for i in $(ls LANG/); do
install -d %{buildroot}%{_datadir}/locale/$i/LC_MESSAGES/
install -p -m 0644 LANG/$i/LC_MESSAGES/* %{buildroot}%{_datadir}/locale/$i/LC_MESSAGES/
done

# Install Images
for i in $(ls *.svg); do
install -p -m 0644 $i %{buildroot}%{_datadir}/%{name}/pixmaps/
done

# Link in SVG
pushd %{buildroot}%{_datadir}
ln -s ../%{name}/pixmaps/%{name}_base.svg pixmaps/
popd

# Install Menu Item
desktop-file-install --dir=%{buildroot}%{_datadir}/applications %{SOURCE1}

# Find Languages
%find_lang %{name}

%files -f %{name}.lang
%doc ChangeLog COPYING README doc/manual*
%{_datadir}/%{name}
%{_bindir}/%{name}
%{_mandir}/man1/blueproximity*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}_base.svg

%changelog
* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 1.2.5-alt2_11
- update to new release by fcimport

* Tue Jan 29 2013 Cronbuild Service <cronbuild@altlinux.org> 1.2.5-alt2_10
- rebuild to get rid of unmets

* Thu Aug 02 2012 Igor Vlasenko <viy@altlinux.ru> 1.2.5-alt1_10
- update to new release by fcimport

* Fri May 18 2012 Igor Vlasenko <viy@altlinux.ru> 1.2.5-alt1_9
- converted for Sisyphus

